Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class DataNodeConfigInfo

    java.lang.Object
      org.apache.cayenne.project.DataNodeConfigInfo

    public class DataNodeConfigInfo

extends java.lang.Object

Stores information necessary to reconfigure nodes of existing projects.

Author:
  Andrei Adamchik

Field Summary
`protected java.lang.String` | `adapter`
`protected java.lang.String` | `dataSource`
`protected java.lang.String` | `domain`
`protected java.io.File` | `driverFile`
`protected java.lang.String` | `name`

Constructor Summary
`DataNodeConfigInfo()`

Method Summary
`DataNode` | `findDataNode(Configuration config)` Searches for the DataNode described by this DataNodeConfigInfo in the provided configuration object.
`java.lang.String` | `getAdapter()` Returns the adapter.
`java.lang.String` | `getDataSource()` Returns the dataSource.
`java.lang.String` | `getDomain()` Returns the domain.
`java.io.File` | `getDriverFile()` Returns the driverFile.
`java.lang.String` | `getName()` Returns the name.
`void` | `setAdapter(java.lang.String adapter)` Sets the adapter.
`void` | `setDataSource(java.lang.String dataSource)` Sets the dataSource.
`void` | `setDomain(java.lang.String domain)` Sets the domain.
`void` | `setDriverFile(java.io.File driverFile)` Sets the driverFile.
`void` | `setName(java.lang.String name)` Sets the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### domain

    protected java.lang.String domain

### adapter

    protected java.lang.String adapter

### dataSource

    protected java.lang.String dataSource

### driverFile

    protected java.io.File driverFile

Constructor Detail

### DataNodeConfigInfo

    public DataNodeConfigInfo()

Method Detail

### findDataNode

    public DataNode findDataNode(Configuration config)
                          throws ProjectException

  Searches for the DataNode described by this DataNodeConfigInfo in the provided configuration object. Throws ProjectException if there is no matching DataNode.

  Throws:
    `ProjectException`

### getAdapter

    public java.lang.String getAdapter()

  Returns the adapter.

  Returns:
    String

### getDataSource

    public java.lang.String getDataSource()

  Returns the dataSource.

  Returns:
    String

### getDomain

    public java.lang.String getDomain()

  Returns the domain.

  Returns:
    String

### getDriverFile

    public java.io.File getDriverFile()

  Returns the driverFile.

  Returns:
    File

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    String

### setAdapter

    public void setAdapter(java.lang.String adapter)

  Sets the adapter.

  Parameters:
    `adapter` - The adapter to set

### setDataSource

    public void setDataSource(java.lang.String dataSource)

  Sets the dataSource.

  Parameters:
    `dataSource` - The dataSource to set

### setDomain

    public void setDomain(java.lang.String domain)

  Sets the domain.

  Parameters:
    `domain` - The domain to set

### setDriverFile

    public void setDriverFile(java.io.File driverFile)

  Sets the driverFile.

  Parameters:
    `driverFile` - The driverFile to set

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.